import { keepPreviousData, queryOptions } from "@tanstack/react-query";
import { api } from "../apiHelper";

export function getArticleLinks() {
	return queryOptions({
		queryKey: ["getArticleLinks"],
		queryFn: () => dataFetch(),
		staleTime: 5000,
		refetchOnWindowFocus: true,
		placeholderData: keepPreviousData,
	});
}

const dataFetch = async () => {
	if (window.location.hostname === "localhost") {
		await new Promise((res) => setTimeout(res, 1500));
	}

	const { data } = await api.get("/opendock/articleCheck");
	if (!data.success) {
		throw new Error(data.message ?? "Failed to load article links");
	}

	return data.data ?? [];
};
